* [PATCH] selftests: lib: fix prime_numbers module search and skip logic
@ 2018-05-30 17:34 Shuah Khan (Samsung OSG)
0 siblings, 0 replies; only message in thread
From: Shuah Khan (Samsung OSG) @ 2018-05-30 17:34 UTC (permalink / raw)
To: shuah; +Cc: tglx, kstewart, pombredanne, gregkh, linux-kselftest, linux-kernel
prime_numbers modules search and skip logic removes the module instead
of searching for it. Fix it.
Signed-off-by: Shuah Khan (Samsung OSG) <shuah@kernel.org>
---
tools/testing/selftests/lib/prime_numbers.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/testing/selftests/lib/prime_numbers.sh b/tools/testing/selftests/lib/prime_numbers.sh
index 76602d4b050f..78e7483c8d60 100755
--- a/tools/testing/selftests/lib/prime_numbers.sh
+++ b/tools/testing/selftests/lib/prime_numbers.sh
@@ -5,7 +5,7 @@
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
-if ! /sbin/modprobe -q -r prime_numbers; then
+if ! /sbin/modprobe -q -n prime_numbers; then
echo "prime_numbers: module prime_numbers is not found [SKIP]"
exit $ksft_skip
fi
--
2.14.1
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2018-05-30 17:34 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-05-30 17:34 [PATCH] selftests: lib: fix prime_numbers module search and skip logic Shuah Khan (Samsung OSG)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®